$(function () {

    $("#WorkFlowNo").change(function () {

        console.log("xx");
        $("#StepNo").empty();

        if (!$("#WorkFlowNo").val()) {
            return;
        }

        $.ajax({
            url: "/Chart/GetWorkFlowSteps",
            type: 'GET',
            cache: false,
            dataType: 'json',
            async: false,
            data: { WorkFlowNo: $("#WorkFlowNo").val() },
            success: function (result) {
                if (result.code == 0) {
                    for (var r in result.data) {
                        $("#StepNo").append("<option value='" + result.data[r].ItemValue + "'>" + result.data[r].ItemText + "</option>");
                    }
                }
                else {
                    alert("获取数据失败，请稍后再试");
                }
            },
            error: function (e) {

            }
        });
    });
});

function search() {

    if (!$("#TBeginDate").val() || !$("#TEndDate").val()) {
        if (!$("#CBeginDate").val()) {
            $("#CBeginDate").addClass("redBorder");
            return false;
        }
        if (!$("#CEndDate").val()) {
            $("#CEndDate").addClass("redBorder");
            return false;
        }

        if (DateDiff($("#CBeginDate").val(), $("#CEndDate").val()) > 366) {
            SetErrorMsg("提示：起止时间跨度最多为1年。如果时间跨度超过1年，请分多次查询。");
            return false;
        }

    }
    else {
        if (DateDiff($("#TBeginDate").val(), $("#TEndDate").val()) > 366) {
            SetErrorMsg("提示：起止时间跨度最多为1年。如果时间跨度超过1年，请分多次查询。");
            return false;
        }
    }


    return true;
}
